{% extends 'base.html' %}

{% block content -%}
<nav id="toc">
    <ol class="toc">
        <h2 id="{{report.report_name}}">{{report.report_name}}</h2>
        {% if "ERROR" in report.levels -%}
        <li class="tocline"><a class="tocxref" href="#ERROR">Fouten</a>
            <ul>
                {% for reportrule in report.rules|sort -%}
                {% if reportrule.level == "ERROR" -%}
                <li><a href="#{{reportrule.rule.rule_nr}}">{{reportrule.rule.rule_nr}}</a></li>
                {% endif -%}
                {% endfor -%}
            </ul>
        </li>
        {% endif -%}

        <li class="tocline"><a class="tocxref" href="#WARNING">Waarschuwingen</a>
            <ul>
                {% for reportrule in report.rules|sort -%}
                {% if reportrule.level == "WARNING" -%}
                <li><a href="#{{reportrule.rule.rule_nr}}">{{reportrule.rule.rule_nr}}</a></li>
                {% endif -%}
                {% endfor -%}
            </ul>
        </li>
        <li class="tocline"><a class="tocxref" href="#GOOD">Geteste regels</a></li>
    </ol>
</nav>

<div class="head">
    <a href="https://www.logius.nl/" class="logo">
        <img id="Logius" alt="Logius" src="https://publicatie.centrumvoorstandaarden.nl/respec/style/logos/figure-logius.svg" width="50">
    </a>
    <h1>Validatierapport {{report.report_name}}</h1>
    <h2>getest op: {{report.report_date.strftime('%d %B %Y')}}</h2>
    <p>Dit rapport is de uitkomst van een geautomatiseerde test van de NTA regels.
        Niet alle regels kunnen geautomatiseerd getest worden.
        De meldingen zijn opgesplitst tussen fouten en waarschuwingen.
        Waarschuwingen worden gegeven als er een test op een aanbeveling een overtreding constateert.</p>
</div>
{% for level in ["ERROR", "WARNING", "GOOD"] -%}

    <div id="{{level}}">
    {% if level not in report.levels -%}
    <h6>geen {{level}}s gevonden</h6>
    {% else %}
        {% if level == "ERROR" -%}
        <h2>Validatiefouten</h2>
        {% elif level == "WARNING" -%}
        <h2>Validatiewaarschuwingen</h2>
        {% else -%}
        <h2>Voldoet aan:</h2>
        {% endif -%}
    {% endif -%}
    {% for reportrule in report.rules|sort -%}
        {% if reportrule.level == level -%}
            <h3 id="{{reportrule.rule.rule_nr}}">
                <a href="https://kc-xbrl.cooljapan.nl/nta/regels/#{{reportrule.rule.rule_nr}}">{{reportrule.rule.rule_nr}}</a>
                {% if reportrule.times > 0 -%}
                    <span class="times">({{reportrule.times}} keer)</span>
                {% endif -%}
            </h3>
            <h4>{{reportrule.rule.text |replace('<', '&lt;') |safe}} </h4>
            {% if level in ["ERROR", "WARNING"] -%}
            <div class="violations {%if level == 'ERROR'%} issue{%else%} advisement{% endif %}">
                <details>
                    <summary>Bekijk afzonderlijke meldingen</summary>
                    <ul>
                        {% for violation in reportrule.violations -%}
                        <li> {{violation.message}} {{violation.count}}</li>
                        {% endfor -%}
                    </ul>
                </details>
            </div>
            {% endif -%}
            {% if reportrule.rule.note is not none -%}
                <p class="note">{{reportrule.rule.note|safe}}</p>
            {% endif -%}

        {% endif -%}
    {% endfor -%}
    </div>
{% endfor -%}
{% endblock %}
